Фильтр для выбора примитивов на разных слоях

Автор Тема: Фильтр для выбора примитивов на разных слоях  (Прочитано 1398 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Александр РивилисАвтор темы

  • Administrator
  • *****
  • Сообщений: 12440
  • Карма: 1614
  • Рыцарь ObjectARX
  • Skype: rivilis
Не забывайте про правильное Форматирование кода на форуме
Создание и добавление Autodesk Screencast видео в сообщение на форуме
Если Вы задали вопрос и на форуме появился правильный ответ, то не забудьте про кнопку Решение

Оффлайн Алексей Кулик

  • Administrator
  • *****
  • Сообщений: 913
  • Карма: 151
А почему в lisp-коде просто не перечислить через запятую имена слоев? Обычно это срабатывает.
Код - Auto/Visual Lisp [Выбрать]
  1. (defun c:fctest ()
  2.   (setq sel1 (ssget "_X"
  3.                     '((-4 . "<OR")
  4.                       (-4 . "<AND")
  5.                       (0 . "TEXT")
  6.                       (8 . "Centro")
  7.                       (-4 . "AND>")
  8.                       (-4 . "<AND")
  9.                       (0 . "LWPOLYLINE")
  10.                       (8
  11.                        .
  12.                        "Secao_Projeto,Pontos_AcimaTolerancia,Pontos_AbaixoTolerancia,Pontos_ForaTolerancia,Pontos_NaTolerancia"
  13.                        )
  14.                       (-4 . "AND>")
  15.                       (-4 . "OR>")
  16.                       )
  17.                     ) ;_ end of ssget
  18.         ) ;_ end of setq
  19.   (sslength sel1)
  20.   ) ;_ end of defun
  21.  
  22. ;; В принципе можно и маски использовать...
  23. (defun c:fctest1 ()
  24.   (setq sel1 (ssget "_X"
  25.                     '((-4 . "<OR")
  26.                       (-4 . "<AND")
  27.                       (0 . "TEXT")
  28.                       (8 . "Centro")
  29.                       (-4 . "AND>")
  30.                       (-4 . "<AND")
  31.                       (0 . "LWPOLYLINE")
  32.                       (8 . "Secao_Projeto,Pontos_[AFN]*Tolerancia")
  33.                       (-4 . "AND>")
  34.                       (-4 . "OR>")
  35.                       )
  36.                     ) ;_ end of ssget
  37.         ) ;_ end of setq
  38.   (sslength sel1)
  39.   ) ;_ end of defun
Все, что сказано - личное мнение.

Правила форума существуют не просто так!

Приводя в сообщении код, не забывайте про его форматирование!

Оффлайн Александр РивилисАвтор темы

  • Administrator
  • *****
  • Сообщений: 12440
  • Карма: 1614
  • Рыцарь ObjectARX
  • Skype: rivilis
А почему в lisp-коде просто не перечислить через запятую имена слоев?
Запросто. Но я так понимаю, что главной мыслью этой статьи было подсказать, что в одном фильтре можно выбрать одни типы примитивов на одних слоях и другие типы примитивов на других слоях.
Не забывайте про правильное Форматирование кода на форуме
Создание и добавление Autodesk Screencast видео в сообщение на форуме
Если Вы задали вопрос и на форуме появился правильный ответ, то не забудьте про кнопку Решение